package dimensoesDoComponente;

import java.awt.Dimension;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

 public class ApliqueDimensoesDoComponente extends ApliqueSemPichador {
	
	 private ComponenteDix botaoAlterarDimensoes = this.obterPaginaDix().criarProcuradorDeComponente("botaoAlterarDimensoes");
	 private ComponenteDix componenteExemplo =  this.obterPaginaDix().criarProcuradorDeComponente("componenteDoExemplo");
	 private ComponenteDix valorDaLargura =  this.obterPaginaDix().criarProcuradorDeComponente("valorDaLargura");
	 private ComponenteDix valorDoAltura =  this.obterPaginaDix().criarProcuradorDeComponente("valorDaAltura");
	 private ComponenteDix painelDaLargura = this.obterPaginaDix().criarProcuradorDeComponente("painelDaLargura");
	 private ComponenteDix painelDaAltura = this.obterPaginaDix().criarProcuradorDeComponente("painelDoAltura");
	 
	public void iniciar(){ 
		TratadorDoBotaoAlterarDimensoes tratadorAlterarDimensoes= new TratadorDoBotaoAlterarDimensoes();
		botaoAlterarDimensoes.adicionarTratadorDeEventos( tratadorAlterarDimensoes);
	}	
	
	class TratadorDoBotaoAlterarDimensoes extends TratadorDixAbstrato{
		
		public void seDito(EventoSimples evento)
		{	
			if(evento.obterNomeDoEvento().equals(NomeDeEventosSimples.CLICADO)){
				int novaLargura = Integer.valueOf(valorDaLargura.obterTexto());
				int novaAltura = Integer.valueOf(valorDoAltura.obterTexto());
				componenteExemplo.fixarDimensoes(new Dimension(novaLargura,novaAltura));
				painelDaLargura.fixarTexto(String.valueOf(novaLargura));
				painelDaAltura.fixarTexto(String.valueOf(novaAltura));
			}
		}
	}
}
