package ediJadix;

import java.awt.Point;

import edugraf.pichador.TipoPichador;
import edugraf.pichador.desenho.Cor;

public class EdiJadix {
	TipoPichador pichador;

	public EdiJadix(TipoPichador pichador) {
		this.pichador = pichador;
	}
	
	public void fixarCor(Cor cor) {
		pichador.fixarCorDosRastros(cor).fixarCorDePreenchimento(cor);
	}

	public void riscar(Point ponto) {
		pichador.andarPara((int) (ponto.getX()), (int) ponto.getY())
				.comRastros();
	}

	public void pintarÁrea() {
		pichador.pintarÁrea();
	}

	public void andarSemRastrosPara(Point ponto) {
		pichador.semRastros()
				.andarPara((int) (ponto.getX()), (int) ponto.getY());
	}

}
