package exemploComListas;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ControleDasListas {

	private List<String> ultimaListaSelecionada;
	private ConteudoDasListas listas;
	private Map<Integer,List<String>> tabela;

	ControleDasListas(){
		listas = new ConteudoDasListas();	
		tabela = new HashMap<Integer,List<String>>();
		tabela.put(1, listas.obterListaVazia());
		tabela.put(2, listas.obterListaDeLivros());
		tabela.put(3, listas.obterListaDeBandas());
		ultimaListaSelecionada = tabela.get(1);
	}
	
	public List<String> obterUltimaListaSelecionada(){
		return ultimaListaSelecionada;
	}
	
	public void selecionarLista(int numeroDaOpcao){
		ultimaListaSelecionada = tabela.get(numeroDaOpcao);
	}
	
	public void adicionarNaListaSelecionada(String novoDado){
		ultimaListaSelecionada.add(novoDado);
	}
}
