package itemSelecionado;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoDeSelecao;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

 public class ApliqueItemSelecionado extends ApliqueSemPichador {
	
	 private ComponenteDix caixaDeEscolha = this.obterPaginaDix().criarProcuradorDeComponente("caixaDeEscolha");
	 private ComponenteDix listaDeEscolha = this.obterPaginaDix().criarProcuradorDeComponente("listaDeEscolha");
	 private ComponenteDix botoesDeRadio = this.obterPaginaDix().criarProcuradorDeComponente("botoesDeRadio");
	 private ComponenteDix etiquetaParaMostrarEventos = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");
	 
	public void iniciar(){ 
		TratadorDeItemSelecionado tratadorDeItemSelecionado = new TratadorDeItemSelecionado();
		caixaDeEscolha.adicionarTratadorDeEventos(tratadorDeItemSelecionado);
		listaDeEscolha.adicionarTratadorDeEventos(tratadorDeItemSelecionado);
		botoesDeRadio.adicionarTratadorDeEventos(tratadorDeItemSelecionado);
	}	
	
	class TratadorDeItemSelecionado extends TratadorDixAbstrato{
		
		public void seDito(EventoDeSelecao evento)
		{	
			etiquetaParaMostrarEventos.fixarTexto("Item selecionado: " + evento.obterTextoDaOpcao());
		}
	}
}
