package mostraEstimulos;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoDeTeclado;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

 public class ApliqueQueTrataEventosDeTeclado extends ApliqueSemPichador {
	 private ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");
	 private ComponenteDix teclado = this.obterPaginaDix().criarProcuradorDeComponente("teclado");

	public void iniciar(){ 
		TratadorDoTeclado tratadorDoComponenteDeExemplos= new TratadorDoTeclado();
		teclado.adicionarTratadorDeEventos(tratadorDoComponenteDeExemplos);
	}
	
	class TratadorDoTeclado extends TratadorDixAbstrato{
		public void seDito(EventoDeTeclado evento)
		{
		  mostrador.fixarTexto("[ " + evento.obterNomeDoEvento() + " tecla: " + evento.obterTecla() + " ]");
		}
	}
}
