package mostraEstimulos;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;
import edugraf.jadix.eventos.EventoSimples;

 public class ApliqueQueTrataEventosSimples extends ApliqueSemPichador {
	 private ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");
	 private ComponenteDix componenteDoExemplo = this.obterPaginaDix().criarProcuradorDeComponente("componenteDoExemplo");
	
	public void iniciar(){ 
		TratadorDoComponenteDeExemplos tratadorDoComponenteDeExemplos= new TratadorDoComponenteDeExemplos();
		componenteDoExemplo.adicionarTratadorDeEventos(tratadorDoComponenteDeExemplos);
	}
	
	class TratadorDoComponenteDeExemplos extends TratadorDixAbstrato{
		public void seDito(EventoSimples evento)
		{	
			mostrador.fixarTexto(evento.obterNomeDoComponente() + " " + evento.obterNomeDoEvento());
		}
	}
}
