package repintarAplique;

import java.awt.Color;
import java.awt.Graphics2D;
import java.util.Random;

import edugraf.jadix.Aplique;
import edugraf.pichador.TipoPichador;
import edugraf.pichador.desenho.Cor;

public class ApliqueRepintarAplique extends Aplique {

	private static final int MÀXIMO_NA_COR = 255;
	private static final double TEMPINHO = 0.003;
	private TipoPichador pichador;


	public void iniciar() {
		pichador = this.criarPichador();
		while(true){
			pichador.descansar(TEMPINHO)
				 	.fixarCorDePreenchimento(obterCorRandomica())
				 	.descansar(TEMPINHO)
				 	.limparFundo();
		}
	}	
	
	private Cor obterCorRandomica() {
		Random random = new Random();
		return new Cor(random.nextInt(MÀXIMO_NA_COR), random.nextInt(MÀXIMO_NA_COR), random.nextInt(MÀXIMO_NA_COR));
	}
}