function Componente(elementoHTML,id,tipo) {
	var c = document.createElement(elementoHTML);
	c.setAttribute('id',id);
	c.className = tipo
	c.legenda = legenda(id);
	c.legenda.adicionar();
	var e = c.style;
	e.position = "absolute";
	c.transparencia = 0;


	// Fixar
	c.fixarEsquerda = function(x) { 
		e.left = x ? (x + "px") : "0px";
		c.legenda.reposicionar();
	}
	c.fixarTopo = function(y) { 
		e.top =  y ? (y + "px") : "0px";
		c.legenda.reposicionar();
	}
	c.fixarAltura = function(a) { e.height = a ? (a + "px") : "auto" }
	c.fixarLargura = function(l) { e.width = l ? (l + "px") : "auto" }
	c.fixarProfundidade = function(z) {
		e.zIndex = z ? z : 0;
		c.legenda.fixarProfundidade(e.zIndex);
	} 
	c.fixarCor = function(c) { e.color = c ? c : null }
	c.fixarCorDePreenchimento = function(c) { e.backgroundColor = c ? c : null }
	c.fixarTexto = function(t) { 
		if (c.type==null||c.type=="submit"||c.className=="etiqueta") {
			c.innerHTML = t ? t.replace(/\n/g, "<br/>") : ""
		} else 
			c.value = t ? t : ""
	}
	c.adicionarAoTexto = function(t) { 
		if (t)
			c.fixarTexto(c.obterTexto() + t)
	}
	c.fixarLegenda = function(l) {
		c.legenda.fixarTexto(l);
	}
	c.fixarPosicaoDaLegenda = function(p) {
		c.legenda.fixarPosicao(p);
	}
	c.fixarTransparencia = function(transparencia) {
		if (transparencia) {
			this.transparencia = transparencia;
			var opacidade = 100 - transparencia;
			e.opacity = (opacidade/100).toString();
			e.filter = "alpha(opacity=" + opacidade + ")"
		}
	}

	// Obter
	c.obterEsquerda = function() { if (e.left) {return parseInt(e.left)} else {return null} }
	c.obterTopo = function() { if (e.top) {return parseInt(e.top)} else {return null} }
	c.obterAltura = function() { if (e.height) {return parseInt(e.height)} else {return null} }
	c.obterLargura = function() { if (e.width) {return parseInt(e.width)} else {return null} }
	c.obterCor = function() { return transformarCorEmListaRGB(e.color) }
	c.obterCorDePreenchimento = function() { return transformarCorEmListaRGB(e.backgroundColor); }
	c.obterProfundidade = function() { return e.zIndex }
	c.obterTexto = function() { 
		var texto = ''
		if (c.type==null||c.type=="submit"||c.className=="etiqueta") {
			texto = c.innerHTML ? c.innerHTML.replace(/<br>/g,"\n") : ""
			texto = texto.replace(/<br\/>/g,"\n")
		}
		else {
			texto = c.value
		}
		if (texto==null) {
			texto = ''
		}
		// Tratamento para quebra de linhas no texto
		if (texto.indexOf("\n") != -1 || texto.indexOf("\r") != -1 ) {
			texto = texto.replace(/\n/g,"\n")
			texto = texto.replace(/\r/g,"")
		}
		return texto;
	}
	c.obterLegenda = function() {
		return this.legenda.obterTexto();
	}
	c.obterPosicaoDaLegenda = function() {
		return e.obterPosicao();
	}
	c.obterTransparencia = function() {
		return this.transparencia;
	}

	// Estimulos

	c.onclick = function() { 
			var estimulo = "[ \"" + tipo + "\"  \"" + id + "\" \"clicado\" ]";
			propagarEvento(estimulo,this)
			return true	};
	c.onmousedown = function() { 
			var estimulo = "[ \"" + tipo + "\"  \"" + id + "\" \"mousePressionado\" ]";
			propagarEvento(estimulo,this)
			return true	};
	c.onmouseup = function() { 
			var estimulo = "[ \"" + tipo + "\"  \"" + id + "\" \"mouseSolto\" ]";
			propagarEvento(estimulo,this)
			return true	};
	c.ondblclick = function() { 
			var estimulo = "[ \"" + tipo + "\"  \"" + id + "\" \"duplamenteClicado\" ]";
			propagarEvento(estimulo,this)
			return true	};
	c.onchange = function() { 
			var estimulo = "[ \"" + tipo + "\"  \"" + id + "\" \"modificado\" ]";
			propagarEvento(estimulo,this)
			return true	};
	c.onmouseover = function() { 
			var estimulo = "[ \"" + tipo + "\"  \"" + id + "\" \"cursorEntrou\" ]";
			propagarEvento(estimulo,this)
			return true	};
	c.onmouseout = function() { 
			var estimulo = "[ \"" + tipo + "\"  \"" + id + "\" \"cursorSaiu\" ]";
			propagarEvento(estimulo,this)
			return true	};
	c.onkeydown = function(evento) {
			if (!evento) evento = window.event
			var tecla = evento.keyCode;
			var shift = evento.shiftKey?1:0;
			var ctrl = evento.ctrlKey?2:0;
			var alt = evento.altKey?4:0;
			var modificadores = shift + ctrl + alt;
			var estimulo = "[ \"" + tipo + "\"   \"" + id + "\" \"teclaPressionada\" " + tecla + " " + modificadores + "]";
			propagarEvento(estimulo,this)
			return true
	};

	c.onkeyup = function(evento) {
			if (!evento) evento = window.event
			var tecla = evento.keyCode;
			var shift = evento.shiftKey?1:0;
			var ctrl = evento.ctrlKey?2:0;
			var alt = evento.altKey?4:0;
			var modificadores = shift + ctrl + alt;
			var estimulo = "[ \"" + tipo + "\"   \"" + id + "\" \"teclaSolta\" " + tecla + " " + modificadores + "]";
			propagarEvento(estimulo,this)
			return true
	};

	c.onkeypress = function(evento) {
			if (!evento) evento = window.event
			var tecla = evento.keyCode == 0 ? evento.charCode : evento.keyCode;
			var shift = evento.shiftKey?1:0;
			var ctrl = evento.ctrlKey?2:0;
			var alt = evento.altKey?4:0;
			var modificadores = shift + ctrl + alt;
			var estimulo = "[ \"" + tipo + "\"   \"" + id + "\" \"teclaRepetida\" " + tecla + " " + modificadores + "]";
			propagarEvento(estimulo,this)
			return true
	};
	
	// Outros

	c.tornarVisivel = function() {
		e.visibility  = "visible";
		c.legenda.tornarVisivel();
	}
	c.tornarInvisivel = function() {
		e.visibility  = "hidden";
		c.legenda.tornarInvisivel();
	}

	c.desabilitar = function() { c.setAttribute('disabled',true) }
	c.habilitar = function() { c.removeAttribute('disabled') }


	c.adicionar = function()  { 
		var d = document.getElementsByTagName("body").item(0)
		d.appendChild(this)
	}

	c.remover = function() {
		this.legenda.remover();
		this.parentNode.removeChild(this);
		
	}

	return c;
}

function ComponenteFocavel(elementoHTML,id,tipo) {
	var c = Componente(elementoHTML,id,tipo);
	c.fixarFoco = function() {
		if (!c.style.visibility || c.style.visibility=="visible") {
			c.focus();
		}
	}

	return c;
}

function ComponenteSelecionavel(id,tipo) {
	var l = ComponenteFocavel("select",id,tipo);
	
	l.multiple = false;
	
	l.limpar = function() {
		this.options.length = 0
	}
	
	l.fixarOpcao = function(o) {
		this.options[l.options.length] = new Option(o,o)
	}
	
	l.obterLista = function() {
		var opcoes = this.options
		var lista = new Array()
		for (var i=0; i < opcoes.length; i++ ) {
			lista[i] = opcoes[i].value
		}
		return lista
	}
	
	l.obterOpcaoSelecionada = function () {
		if (this.options.length){
			return this.options[l.selectedIndex].value }
		else {
			return null }
	}
	
	// Estimulo emitido quando uma opção é selecionada
	l.onchange =  function () {
		var estimulo = "[ \"" + tipo + "\" \"" + id + "\" \"selecionado\" " + (l.selectedIndex + 1) + " \"" + this.options[l.selectedIndex].value + "\" ]";
		propagarEvento(estimulo,this)
		return true;
	}
	l.adicionar()
	return l;
}

function Botao(id) {
	var b = ComponenteFocavel("input",id,"botão");
	b.setAttribute('type','button');
	b.adicionar();
	return b
}

function CampoDeTexto(id) {
	var c = ComponenteFocavel("input",id,"campoDeTexto");
	c.setAttribute('type','text');
	c.adicionar();
	return c
}

function AreaDeTexto(id) {
	var a = ComponenteFocavel("textarea",id,"áreaDeTexto");
	a.adicionar();
	return a
}

function Etiqueta(id) {
	var t = Componente("a",id,"etiqueta");
	t.fixarURL = function(u) { 
	   
	   if(u){
	  	t.setAttribute('href',u)
	   }else{
	   	t.removeAttribute('href') 	
	   }
	}
	t.obterURL = function() { return t.href}
	t.adicionar();
	return t
}
