function legenda(parentId) {
	var l = document.createElement('label');
	l.className = 'legenda';
	l.setAttribute('for',parentId);
	l.parentId = parentId;
	l.distanciaHorizontal = 8;
	l.distanciaVertical = 3;
	l.posicao = '';
	var e = l.style;
	e.position = "absolute";

	// fixar
	l.fixarEsquerda = function(x) { e.left = x ? (x + "px") : "auto" }
	l.fixarTopo = function(y) { e.top =  y ? (y + "px") : "auto" }
	l.fixarProfundidade = function(z) { e.zIndex = z ? z : 0 } 
	l.fixarTexto = function(t) { 
		l.innerHTML = t ? t.replace(/\n/g, "<br/>") : ""
		l.reposicionar();
	}
	l.fixarPosicao = function(p) {
		this.posicao = p;
		l.reposicionar();
	}
	
	// obter
	l.obterTexto = function() {
		var texto = ''
		texto = this.innerHTML ? this.innerHTML.replace(/<br>/g,"\n") : ""
		texto = texto.replace(/<br\/>/g,"\n")
		// Tratamento para quebra de linhas no texto
		if (texto.indexOf("\n") != -1 || texto.indexOf("\r") != -1 ) {
			texto = texto.replace(/\n/g,"\n")
			texto = texto.replace(/\r/g,"")
		}
		return texto;
	}
	l.obterLargura = function() {
		return this.offsetWidth;
	}
	l.obterAltura = function() {
		return this.offsetHeight;
	}
	l.obterPosicao = function(p) {
		return this.posicao;
	}

	// tornar visivel e invisivel
	l.tornarVisivel = function() { e.visibility  = "visible" }
	l.tornarInvisivel = function() { e.visibility  = "hidden"  }
	
	// reposicionar
	l.reposicionar = function() {
		parentDaLegenda = document.getElementById(l.parentId);
		if (this.posicao == "àEsquerda") {
			this.fixarTopo(parentDaLegenda.offsetTop);
			this.fixarEsquerda(parentDaLegenda.offsetLeft - this.obterLargura() - this.distanciaHorizontal);
		} else {
			this.fixarTopo(parentDaLegenda.offsetTop - this.obterAltura() - this.distanciaVertical);
			this.fixarEsquerda(parentDaLegenda.offsetLeft);
		}
	}

	l.adicionar = function()  { 
		var d = document.getElementsByTagName("body").item(0)
		d.appendChild(this)
	}
	
	l.remover = function() {
		this.parentNode.removeChild(this);
	}
	
	return l
}