function Teclado() {
	document.onkeydown = tratadorDeTeclaPressionada;
	document.onkeyup = tratadorDeTeclaSolta;
	document.onkeypress = tratadorDeTeclaRepetida;
}

function tratadorDeTeclaPressionada(evento) {
		if (!evento) evento = window.event;
		var tecla = evento.keyCode;
		var shift = evento.shiftKey?1:0;
		var ctrl = evento.ctrlKey?2:0;
		var alt = evento.altKey?4:0;
		var modificadores = shift + ctrl + alt;
		var estimulo = "[ TECLADO \"teclaPressionada\" " + tecla + " " + modificadores + "]";
		propagarEvento(estimulo)
}

function tratadorDeTeclaSolta(evento) {
		if (!evento) evento = window.event;
		var tecla = evento.keyCode;
		var shift = evento.shiftKey?1:0;
		var ctrl = evento.ctrlKey?2:0;
		var alt = evento.altKey?4:0;
		var modificadores = shift + ctrl + alt;
		var estimulo = "[ TECLADO \"teclaSolta\" " + tecla + " " + modificadores + "]";
		propagarEvento(estimulo);
}

function tratadorDeTeclaRepetida(evento) {
		if (!evento) evento = window.event;
		var tecla = evento.keyCode == 0 ? evento.charCode : evento.keyCode;
		var shift = evento.shiftKey?1:0;
		var ctrl = evento.ctrlKey?2:0;
		var alt = evento.altKey?4:0;
		var modificadores = shift + ctrl + alt;
		var estimulo = "[ TECLADO \"teclaRepetida\" " + tecla + " " + modificadores + "]";
		propagarEvento(estimulo);	   
}

