package bolasColoridasViajantes;

import static edugraf.jadix.primitivas.Primitiva.descansar;

import java.util.LinkedList;
import java.util.List;

import edugraf.jadix.Aplique;

public class ApliqueDoTesteDeAceitacao extends Aplique {
	
	private static final int NÚMERO_DE_FOGOS = 25;	
	private List<BolaDeFogoColoridaViajante> fogos;
	
	@Override
	public void iniciar() {
		fogos = new LinkedList<BolaDeFogoColoridaViajante>();
		criarFogosIniciais();
		animar();
	}

	private void criarFogosIniciais() {
		for (int i = 0; i < NÚMERO_DE_FOGOS; i++)
			fogos.add(new BolaDeFogoColoridaViajante(criarPichador()));
	}

	private void animar() {
		while (true) {
			for (BolaDeFogoColoridaViajante fogo : fogos)
				fogo.mover();
			descansar(0.05);
		}
	}

}