package desenharPoligono;

import java.awt.Color;
import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

import edugraf.jadix.Aplique;
import edugraf.pichador.TipoPichador;
import edugraf.pichador.desenho.Cor;

public class ApliqueDesenharPoligono extends Aplique {

	TipoPichador pichador;
	
	@Override
	public void iniciar() {
		pichador = this.criarPichador();

		pichador.fixarCorDosRastros(new Cor(255, 0, 0));
		
		pichador.desenharPolígono(
				new Point(-50, 50), 
				new Point(50, 50), 
				new Point(0, 25)); 
		
		List<Point> pontos = new ArrayList<Point>(4);
		pontos.add(new Point(-50,0));
		pontos.add(new Point(50,0));
		pontos.add(new Point(40,-30));
		pontos.add(new Point(-40,-30));
		
		pichador.fixarCorDePreenchimento(new Cor(0, 0, 255));
		pichador.fixarEspessura(3);
		pichador.fixarCorDosRastros(new Cor(255, 200, 0));		
		
		pichador.desenharPolígonoCheio(pontos);
		pichador.desenharPolígono(pontos);
		
	}
	

}
