package desenharQuadradoDeBordasVermelhas;

import edugraf.jadix.Aplique;
import edugraf.pichador.TipoPichador;
import edugraf.pichador.desenho.Cor;

public class ApliqueDesenharQuadradoDeBordasVermelhas extends Aplique {

	private static final int ANGULO_RETO = 90;
	private static final int TAMANHO_DO_LADO = 40;
	TipoPichador joao;

	@Override
	public void iniciar() {
		joao = this.criarPichador();
	    desenharQuadradoVermelho();
    }

	private void desenharQuadradoVermelho() {
		desenharQuadrado(new Cor(255, 0, 0));	
	}

	private void desenharQuadrado(Cor cor) {
		joao.comRastros().fixarCorDosRastros(cor);
		for(int i = 0; i < 4; i++){
			joao
				.frente(TAMANHO_DO_LADO)
				.direita(ANGULO_RETO);
		}
	}
}