package eventosDeMovimentosDeMouse;

import java.awt.Color;

import edugraf.jadix.Aplique;
import edugraf.jadix.eventos.EventoDeMouse;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;
import edugraf.pichador.TipoPichador;
import edugraf.pichador.desenho.Cor;

public class ApliqueQueTrataEventosDeMovimentosDeMouse extends Aplique {
	private ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");
	private TipoPichador pichador;
	
	public void iniciar(){ 
		pichador = this.criarPichador();
		pichador.fixarCorDePreenchimento(new Cor(0,0,255));
		pichador.pintarÁrea();
		adicionarTratadorDeEventos(new TratadorDeMouseDoAplique());
	}

	class TratadorDeMouseDoAplique extends TratadorDixAbstrato {
		public void seDito(EventoDeMouse evento) {
				mostrador.fixarTexto("[ "+evento.obterNomeDoEvento()+
					  " posição: ["+evento.obterTopo()+" "+evento.obterEsquerda()+"]"+
					  " modificadores: "+evento.obterModificadores()+" ]");
		}
	}
}