package mostrarTextos;

import java.awt.Rectangle;

import edugraf.jadix.Aplique;
import edugraf.pichador.TipoPichador;
import edugraf.pichador.desenho.Cor;

public class ApliqueQueMostraTextos extends Aplique {
	
	int meiaAltura, meiaLargura;
	private TipoPichador pichador;

	@Override
	public void iniciar() {	
		int largura = obterApplet().getWidth();
		int altura = obterApplet().getHeight();
		meiaAltura = altura/2;
		meiaLargura = largura/2;
		pichador = criarPichador();
		
		int espaçamento = 20;
		Rectangle áreaDaFolha = new Rectangle(-meiaLargura, -meiaAltura, largura, altura);
		FolhaDeCaderno folhaDocaderno = new FolhaDeCaderno(pichador, áreaDaFolha, espaçamento);
		
		pichador.fixarCorDosRastros(new Cor(0,0,255));
		folhaDocaderno.mostrarEmNovaLinha("Este texto foi exibido usando o método mostrar do pichador");
		folhaDocaderno.mostrarEmNovaLinha("que usa a mesma cor dos rastros para colorir o texto");
		folhaDocaderno.mostrarEmNovaLinha("e deixa o fundo transparente.");
		folhaDocaderno.mostrarEmNovaLinha("");

		pichador.fixarCorDosRastros(new Cor(0,0,0));
		pichador.fixarCorDePreenchimento(new Cor(255, 255, 0));
		folhaDocaderno.mostrarEtiquetaEmNovaLinha("Já esse texto foi exibido usando o método mostrarEtiqueta");
		pichador.fixarCorDePreenchimento(new Cor(0, 255, 0));
		folhaDocaderno.mostrarEtiquetaEmNovaLinha("também é usada a mesma cor dos rastros para colori-lo");
		pichador.fixarCorDePreenchimento(new Cor(0, 255, 255));
		folhaDocaderno.mostrarEtiquetaEmNovaLinha("mas o fundo é colorido a com a cor de preenchimento.");
		

	}

}
