package componentes.abstratos.texto;

import infraestrutura.AtributosDosComponentesGedix;
import java.util.Map;
import componentes.abstratos.gedix.ComponenteGedix;


public abstract class ComponenteComTexto extends ComponenteGedix implements
		TipoComponenteComTexto {

	public ComponenteComTexto() {
		fixarTexto("");
	}

	public void fixarTexto(String textoASerFixado) {
		mapeamentoAtributoValor.put(AtributosDosComponentesGedix.texto, textoASerFixado);
	}

	public Map<AtributosDosComponentesGedix, String> obterMapeamentoAtributoValor() {
		return super.obterMapeamentoAtributoValor();
	}

	public String obterTexto() {
		return mapeamentoAtributoValor.get(AtributosDosComponentesGedix.texto);
	}

}