package componentes.comopcao;

import static infraestrutura.AtributosDosComponentesGedix.nome;
import infraestrutura.AtributosDosComponentesGedix;
import infraestrutura.TiposDeComponentesGedix;
import componentes.abstratos.opcao.ComponenteComOpcao;


public class CaixaDeEscolha extends ComponenteComOpcao {

	private static final long serialVersionUID = 1L;
	private static int nmeroDeInstncias;

	public CaixaDeEscolha() {
		super();
		nmeroDeInstncias++;
		mapeamentoAtributoValor.put(AtributosDosComponentesGedix.tipoDoComponente,
				TiposDeComponentesGedix.caixaDeEscolha.toString());
		mapeamentoAtributoValor.put(nome, obterTipo().toString() + "_"
				+ nmeroDeInstncias);
	}

}
