package componentes.comtexto;

import infraestrutura.AtributosDosComponentesGedix;
import infraestrutura.TiposDeComponentesGedix;
import componentes.abstratos.texto.ComponenteComTexto;


public class Botao extends ComponenteComTexto {

	private static final long serialVersionUID = 1L;
	private static int nmeroDeInstncias;

	public Botao() {
		super();
		nmeroDeInstncias++;
		mapeamentoAtributoValor.put(AtributosDosComponentesGedix.tipoDoComponente,
				TiposDeComponentesGedix.boto.toString());
		mapeamentoAtributoValor.put(AtributosDosComponentesGedix.nome, obterTipo()
				.toString()
				+ "_" + nmeroDeInstncias);

	}

	protected String gerarParteBsicaDoXML() {
		return super.gerarParteBsicaDoXML() + ">" + obterTexto();
	}

}
