package controle.barraDeFerramentas;

import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.NotificavelPorDix;


public interface TipoBarraDeFerramentas {

	public void adicionarNaListaDeComponentes(String nome);

	public void colocarNoLog(String mensagem);

	public void instalarTratadorNaListaDeComponentes(NotificavelPorDix tratador);

	public void instalarTratadorNoBotaoAbrir(NotificavelPorDix tratador);

	public void instalarTratadorNoBotoRemover(NotificavelPorDix tratador);

	public void instalarTratadorNoBotaoSalvar(NotificavelPorDix tratador);

	public void instalarTratadorNoBotaoXML(NotificavelPorDix tratador);

	public void instalarTratadorNosBotesDeCriao(NotificavelPorDix tratador);

	public void limparLista();

	public void mudarParaAbaCriao();

	public void mudarParaAbaEdio();

	public ComponenteDix obterBotoDaAbaCriao();

	public ComponenteDix obterBotoDaAbaEdio();

	public String obterEndereo();

	public void removerDaLista(String nomeDoComponente);

}