package controle.barraDeFerramentas.tratadoresDix;

import controle.barraDeFerramentas.TipoControladorDaBarra;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.TratadorDixAbstrato;


public class TratadorDePedirTrocaDeTipo extends TratadorDixAbstrato {

	private final TipoControladorDaBarra controlador;

	public TratadorDePedirTrocaDeTipo(TipoControladorDaBarra controlador) {
		this.controlador = controlador;
	}

	public void seDito(EventoSimples e) {
		if (e.obterNomeDoEvento() == NomeDeEventosSimples.CLICADO) {
			final String nomeTipo = e.obterComponente().obterNome();
			controlador.pedirTrocaDeTipoACriar(nomeTipo);
		}

	}

}
