package controle.janelaDeEdicao.tratadoresDeRede;

import java.util.List;
import controle.janelaDeEdicao.TipoJanelaDeEdicao;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeOcultarCampos implements TratadorDeEventosDeRede {

	private final TipoJanelaDeEdicao janelaDeEdio;

	public TratadorDeOcultarCampos(TipoJanelaDeEdicao janela) {
		janelaDeEdio = janela;
	}

	public void seDito(List<Palavra> estmulo) {
		janelaDeEdio.ocultarCamposExtras();
	}

}
