package controle.mediador.tratadoresDeRede;

import java.util.List;
import controle.mediador.TipoMediador;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeAbrirArquivo implements TratadorDeEventosDeRede {

	private final TipoMediador mediador;

	public TratadorDeAbrirArquivo(TipoMediador mediador) {
		this.mediador = mediador;
	}

	public void seDito(List<Palavra> estmulo) {
		mediador.abrirArquivo(estmulo.get(1).comoTexto());

	}

}
