package controle.mediador.tratadoresDeRede;

import java.util.List;
import controle.mediador.TipoMediador;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeCriarComponente implements TratadorDeEventosDeRede {

	private final TipoMediador mediador;

	public TratadorDeCriarComponente(TipoMediador mediador) {
		this.mediador = mediador;
	}

	public void seDito(List<Palavra> estmulo) {
		final int esquerda = (int) estmulo.get(1).comoNumero();
		final int topo = (int) estmulo.get(2).comoNumero();
		mediador.criarComponente(esquerda, topo);
	}
}
