package controle.mediador.tratadoresDeRede;

import java.util.List;
import controle.mediador.TipoMediador;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeEnviarComando implements TratadorDeEventosDeRede {

	private final TipoMediador mediador;

	public TratadorDeEnviarComando(TipoMediador mediador) {
		this.mediador = mediador;
	}

	public void seDito(List<Palavra> estmulo) {
		mediador.enviarComandoDeAtualizao(estmulo.get(1).comoTexto(), estmulo.get(2)
				.comoTexto());

	}

}
