package controle.novaPagina;

import infraestrutura.AtributosDosComponentesGedix;
import infraestrutura.geometria.TipoPosicao;
import java.util.Map;


public interface TipoControladorDaNovaPagina {

	public void atualizarComponenteDix(String nomeDoComponente, String nomeDoAtributo,
			String valor);

	public void fixarPosioFinal(TipoPosicao posicao);

	public void fixarPosioInicial(TipoPosicao posicao);

	public void gerarComponenteDix(
			Map<AtributosDosComponentesGedix, String> valoresDoNovoComponente);

	public void limparPgina();

	public void pedirCriaoDeComponente();

	public void removerComponente(String nomeDoComponente);

}
