package controle.novaPagina.tratadoresDix;

import infraestrutura.geometria.Posicao;
import controle.novaPagina.TipoControladorDaNovaPagina;
import edugraf.jadix.eventos.EventoDeAreaSensivel;
import edugraf.jadix.eventos.nomes.NomeDeEventosDeAreaSensivel;
import edugraf.jadix.fachada.TratadorDixAbstrato;


public class TratadorDeDefinirAreaDeCriacao extends TratadorDixAbstrato {

	TipoControladorDaNovaPagina controlador;

	public TratadorDeDefinirAreaDeCriacao(
			TipoControladorDaNovaPagina controladorDeNovaPgina) {
		controlador = controladorDeNovaPgina;
	}

	public void seDito(EventoDeAreaSensivel e) {
		if (e.obterNomeDoEvento() == NomeDeEventosDeAreaSensivel.CURSOR_MOVEU)
			controlador.fixarPosioInicial(new Posicao(e.obterX(), e.obterY()));

		if (e.obterNomeDoEvento() == NomeDeEventosDeAreaSensivel.CURSOR_APONTOU) {
			// Primitiva.descansar(1);
			controlador.fixarPosioFinal(new Posicao(e.obterX(), e.obterY()));
			controlador.pedirCriaoDeComponente();
		}

	}

}
