package infraestrutura.comandos;

import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarAltura implements TipoComandoDeAtualizacao {

	private final TipoComponenteGedix componenteAOperar;
	private final int altura;

	public ComandoDeAtualizarAltura(TipoComponenteGedix c, int altura) {
		componenteAOperar = c;
		this.altura = altura;
	}

	public void executar() {
		componenteAOperar.fixarAltura(altura);

	}

}
