package infraestrutura.comandos;

import componentes.grade.TipoGrade;


public class ComandoDeAtualizarColunas implements TipoComandoDeAtualizacao {

	private int colunas;
	private final TipoGrade gradeAOperar;

	public ComandoDeAtualizarColunas(TipoGrade c, int colunas) {
		gradeAOperar = c;
	}

	public void executar() {
		gradeAOperar.fixarColunas(colunas);

	}

}
