package infraestrutura.comandos;

import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarHabilitacao implements TipoComandoDeAtualizacao {

	private final boolean habilitao;
	private final TipoComponenteGedix componenteAOperar;

	public ComandoDeAtualizarHabilitacao(TipoComponenteGedix c, boolean habilitao) {
		componenteAOperar = c;
		this.habilitao = habilitao;
	}

	public void executar() {
		if (habilitao == true)
			componenteAOperar.habilitar();
		else
			componenteAOperar.desabilitar();
	}

}
