package infraestrutura.comandos;

import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarLegenda implements TipoComandoDeAtualizacao {

	private final String legenda;
	private final TipoComponenteGedix componenteAOperar;

	public ComandoDeAtualizarLegenda(TipoComponenteGedix c, String legenda) {
		componenteAOperar = c;
		this.legenda = legenda;
	}

	public void executar() {
		componenteAOperar.fixarLegenda(legenda);
	}

}
