package infraestrutura.comandos;

import componentes.Opcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;


public class ComandoDeAtualizarOpcoes implements TipoComandoDeAtualizacao {

	TipoComponenteComOpcao componente;
	String texto;

	public ComandoDeAtualizarOpcoes(TipoComponenteComOpcao componenteSendoAtualizado,
			String textoDaOpo) {
		componente = componenteSendoAtualizado;
		texto = textoDaOpo;
	}

	public void executar() {
		componente.adicionarOpo(new Opcao(texto));

	}

}
