package infraestrutura.comandos;

import infraestrutura.PosicoesDeLegenda;
import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarPosicaoDeLegenda implements TipoComandoDeAtualizacao {

	private final PosicoesDeLegenda posicao;
	private final TipoComponenteGedix componenteAOperar;

	public ComandoDeAtualizarPosicaoDeLegenda(TipoComponenteGedix c,
			PosicoesDeLegenda posio) {
		componenteAOperar = c;
		posicao = posio;
	}

	public void executar() {
		componenteAOperar.fixarPosioDeLegenda(posicao);
	}

}
