package infraestrutura.comandos;

import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarProfundidade implements TipoComandoDeAtualizacao {

	private final int profundidade;
	private final TipoComponenteGedix componenteAOperar;

	public ComandoDeAtualizarProfundidade(TipoComponenteGedix c, int profundidade) {
		componenteAOperar = c;
		this.profundidade = profundidade;
	}

	public void executar() {
		componenteAOperar.fixarProfundidade(profundidade);
	}

}
