package infraestrutura.comandos;

import componentes.abstratos.texto.TipoComponenteComTexto;


public class ComandoDeAtualizarTexto implements TipoComandoDeAtualizacao {

	private final TipoComponenteComTexto componenteAOperar;
	private final String texto;

	public ComandoDeAtualizarTexto(TipoComponenteComTexto c, String texto) {
		componenteAOperar = c;
		this.texto = texto;
	}

	public void executar() {
		componenteAOperar.fixarTexto(texto);
	}

}
