package infraestrutura.comandos;

import componentes.abstratos.TipoComponenteComURI;


public class ComandoDeAtualizarURI implements TipoComandoDeAtualizacao {

	private final TipoComponenteComURI componenteComURIAOperar;
	private final String uri;

	public ComandoDeAtualizarURI(TipoComponenteComURI c, String uri) {
		componenteComURIAOperar = c;
		this.uri = uri;
	}

	public void executar() {
		componenteComURIAOperar.fixarURI(uri);

	}

}
