package infraestrutura.geometria;

public class Retangulo implements TipoRetangulo {

	private final TipoPosicao vrtice1;
	private final TipoPosicao vrtice2;

	public Retangulo(TipoPosicao posicao1, TipoPosicao posicao2) {
		vrtice1 = posicao1;
		vrtice2 = posicao2;
	}

	public int obterAltura() {
		return Math.abs(vrtice1.obterTopo() - vrtice2.obterTopo());
	}

	public int obterLargura() {
		return Math.abs(vrtice1.obterEsquerda() - vrtice2.obterEsquerda());
	}

	public TipoPosicao obterPosio() {
		return Posicao.mnima(vrtice1, vrtice2);
	}

}
