package proxies.abstratos;

import java.util.Collection;
import componentes.TipoOpcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;


public abstract class ProxyDeComponenteComOpcao extends ProxyDeComponenteGedix implements
		TipoComponenteComOpcao {

	private final TipoComponenteComOpcao componenteComOpo;

	public ProxyDeComponenteComOpcao(TipoComponenteComOpcao componente) {
		super(componente);
		componenteComOpo = componente;
	}

	public void adicionarOpo(TipoOpcao opo) {
		componenteComOpo.adicionarOpo(opo);

	}

	public Collection<TipoOpcao> obterOpes() {
		return componenteComOpo.obterOpes();
	}

	public void removerOpo(String nome) {
		componenteComOpo.removerOpo(nome);

	}
}
