package proxies.abstratos;

import componentes.abstratos.texto.TipoComponenteComTexto;


public abstract class ProxyDeComponenteComTexto extends ProxyDeComponenteGedix implements
		TipoComponenteComTexto {

	private final TipoComponenteComTexto componenteComTexto;

	public ProxyDeComponenteComTexto(TipoComponenteComTexto componente) {
		super(componente);
		componenteComTexto = componente;
	}

	public void fixarTexto(String textoNovo) {
		componenteComTexto.fixarTexto(textoNovo);

	}

	public String obterTexto() {
		return componenteComTexto.obterTexto();
	}

}
