package testes.componentes;

import static org.junit.Assert.assertEquals;
import infraestrutura.TiposDeComponentesGedix;
import org.junit.Before;
import org.junit.Test;
import testes.componentes.abstratos.TestesDeComponentesGedix;
import componentes.AreaSensivel;
import componentes.abstratos.gedix.TipoComponenteGedix;


public class TestesDeAreaSensivel extends TestesDeComponentesGedix {

	private TipoComponenteGedix reaSensvel;

	protected TipoComponenteGedix componenteGedix() {
		return reaSensvel;
	}

	@Test
	public void oTipoDeUmaAreaSensivelOElementoEnumDeMesmoNome() {
		assertEquals(TiposDeComponentesGedix.reaSensvel, reaSensvel.obterTipo());
	}

	@Before
	public void prepararTestes() {
		reaSensvel = new AreaSensivel();
	}

}
