package testes.componentes;

import static org.junit.Assert.assertEquals;
import org.junit.Before;
import org.junit.Test;
import componentes.Opcao;
import componentes.TipoOpcao;


public class TestesDeOpcao {

	private TipoOpcao opo;
	private final String textoDaOpo = "opoSemNoo";

	@Before
	public void prepararTestes() {
		opo = new Opcao(textoDaOpo);
	}

	@Test
	public void seFixarOTextoDaOpoEleSeAltera() {
		opo.fixarTexto("textoFixado");
		assertEquals("textoFixado", opo.obterTexto());
	}

	@Test
	public void umaOpoRecebeSeuTextoNaCriao() {
		assertEquals(textoDaOpo, opo.obterTexto());
	}

}
