package testes.componentes.comopcao;

import static org.junit.Assert.assertEquals;
import infraestrutura.TiposDeComponentesGedix;
import org.junit.Before;
import org.junit.Test;
import testes.componentes.abstratos.TestesDeComponentesComOpcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;
import componentes.comopcao.BotoesDeRadio;


public class TestesDeBotoesDeRadio extends TestesDeComponentesComOpcao {

	private TipoComponenteComOpcao botesDeRdio;

	protected TipoComponenteComOpcao componenteComOpo() {
		return botesDeRdio;
	}

	@Test
	public void oTipoDeBotoesDeRdioOElementoEnumDeMesmoNome() {
		assertEquals(TiposDeComponentesGedix.botesDeRdio, botesDeRdio.obterTipo());
	}

	@Before
	public void prepararTestes() {
		botesDeRdio = new BotoesDeRadio();
	}

}
