package testes.componentes.comopcao;

import static org.junit.Assert.assertEquals;
import infraestrutura.TiposDeComponentesGedix;
import org.junit.Before;
import org.junit.Test;
import testes.componentes.abstratos.TestesDeComponentesComOpcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;
import componentes.comopcao.CaixaDeEscolha;


public class TestesDeCaixaDeEscolha extends TestesDeComponentesComOpcao {

	private TipoComponenteComOpcao caixaDeEscolha;

	protected TipoComponenteComOpcao componenteComOpo() {
		return caixaDeEscolha;
	}

	@Test
	public void oTipoDeUmaCaixaDeEscolhaOElementoEnumDeMesmoNome() {
		assertEquals(TiposDeComponentesGedix.caixaDeEscolha, caixaDeEscolha.obterTipo());
	}

	@Before
	public void prepararTestes() {
		caixaDeEscolha = new CaixaDeEscolha();
	}

}
