package testes.proxies;

import org.junit.Before;
import proxies.ProxyDeAreaSensivel;
import testes.proxies.abstratos.TestesDeProxyDeComponenteGedix;
import componentes.AreaSensivel;
import componentes.abstratos.gedix.TipoComponenteGedix;


public class TestesDeProxyDeAreaSensivel extends TestesDeProxyDeComponenteGedix {

	AreaSensivel areaSensvel;

	protected TipoComponenteGedix componente() {
		return areaSensvel;
	}

	@Before
	public void prepararTestes() {
		areaSensvel = new AreaSensivel();
		proxy = new ProxyDeAreaSensivel(areaSensvel);
	}

}
