package testes.proxies.abstratos;

import static org.junit.Assert.assertEquals;
import org.junit.Test;
import componentes.abstratos.gedix.TipoComponenteGedix;
import componentes.abstratos.texto.TipoComponenteComTexto;


public abstract class TestesDeProxyDeComponenteComTexto extends
		TestesDeProxyDeComponenteGedix {

	protected TipoComponenteComTexto proxyDeTexto;

	protected TipoComponenteGedix componente() {
		return componenteComTexto();
	}

	protected abstract TipoComponenteComTexto componenteComTexto();

	@Test
	public void seMandarOAtualizadorAtualizarOTextosEleOFaz() {
		final String novoTexto = "Texto qualquer";
		proxyDeTexto.fixarTexto(novoTexto);

		assertEquals(novoTexto, componenteComTexto().obterTexto());
	}
}
