package testes.proxies.comopcao;

import org.junit.Before;
import proxies.comopcao.ProxyDeBotoesDeRadio;
import testes.proxies.abstratos.TestesDeProxyDeComponenteComOpcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;
import componentes.comopcao.BotoesDeRadio;


public class TestesDeProxyDeBotoesDeRadio extends TestesDeProxyDeComponenteComOpcao {

	private BotoesDeRadio botoesDeRadio;

	protected TipoComponenteComOpcao componenteComOpo() {
		return botoesDeRadio;
	}

	@Before
	public void prepararTestes() {
		botoesDeRadio = new BotoesDeRadio();
		proxyComOpo = new ProxyDeBotoesDeRadio(botoesDeRadio);
		proxy = proxyComOpo;
	}

}
