package testes.proxies.comopcao;

import org.junit.Before;
import proxies.comopcao.ProxyDeCaixaDeEscolha;
import testes.proxies.abstratos.TestesDeProxyDeComponenteComOpcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;
import componentes.comopcao.CaixaDeEscolha;


public class TestesDeProxyDeCaixaDeEscolha extends TestesDeProxyDeComponenteComOpcao {

	private CaixaDeEscolha caixaDeEscolha;

	protected TipoComponenteComOpcao componenteComOpo() {
		return caixaDeEscolha;
	}

	@Before
	public void prepararTestes() {
		caixaDeEscolha = new CaixaDeEscolha();
		proxyComOpo = new ProxyDeCaixaDeEscolha(caixaDeEscolha);
		proxy = proxyComOpo;
	}

}
