﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
Universidade Federal de Santa Catarina
Centro Tecnológico - Departamento de Informática e Estatística
Laboratório de Software Educacional - EDUGRAF

Projeto Telis
Documentação de descrição das primitivas Telis
Criado em 26/08/2003
-->

<xsl:template match="/">

  <html>

  <head>
    <link rel="stylesheet" type="text/css" href="../css/primitivas.css" />
    <link rel="stylesheet" type="text/css" href="../css/estilo.css" />
  </head>

  <body>
  	<h1>Relação das Primitivas Telis-Dix</h1>
  	As primitivas aqui listadas servem somente para a manipulação de componentes Dix através de apliques Telis.
  	<div id="índice">
  	<h2>Índice</h2>
  		<xsl:for-each select="primitivas/primitiva">
    		<xsl:sort select="@nome"/>
    		<a>
				<xsl:attribute name="href">
					<xsl:value-of select="concat('#',@nome)"/>
				</xsl:attribute>
				<xsl:value-of select="@nome"/>
			</a>
			<br/>
    	</xsl:for-each>
	</div>
  	<div id="primitivas">
    <xsl:for-each select="primitivas/primitiva">
    <xsl:sort select="@nome"/>
    <h2>
    <a>
      <xsl:attribute name="name">
        <xsl:value-of select="@nome"/>
      </xsl:attribute>
      <xsl:value-of select="@nome"/>
    </a>
    </h2>
      <dl>
        <xsl:if test='not(objetivo = "")'>
          <dt>Objetivo</dt>
          <dd><xsl:value-of select="objetivo"/></dd>
        </xsl:if>
        <xsl:if test='parâmetros = "" = 0'>
          <dt>Parâmetros</dt>
          <dd><xsl:value-of select="parâmetros"/></dd>
        </xsl:if>
        <xsl:if test='retorno = "" = 0'>
          <dt>Retorno</dt>
          <dd><xsl:value-of select="retorno"/></dd>
        </xsl:if>
        <xsl:if test='observações = "" = 0'>
          <dt>Observações</dt>
          <dd><xsl:value-of select="observações"/></dd>
        </xsl:if>
        <xsl:if test='exemplo = "" = 0'>
          <dt>Exemplo</dt>
          <dd><xsl:value-of select="exemplo"/></dd>
        </xsl:if>
      </dl>
      <a href="primitivas.xml">topo</a>
    </xsl:for-each>
    </div>

  </body>

  </html>

</xsl:template>
</xsl:stylesheet>