package alterandoTema;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoDeSelecao;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;
import edugraf.jadix.Temas;

public class ApliqueFixarTema extends ApliqueSemPichador {

	private ComponenteDix caixaDeEscolhaDeTemas = this.obterPaginaDix().criarProcuradorDeComponente("temas");
	
	public void iniciar() {
		caixaDeEscolhaDeTemas.adicionarTratadorDeEventos(new TratadorDixAbstrato() {
		
			@Override
			public void seDito(EventoDeSelecao evento) {
				String temaSelecionadoNaCaixaDeEscolha = evento.obterTextoDaOpcao();
				Temas tema = Temas.obterTema(temaSelecionadoNaCaixaDeEscolha);
				obterPaginaDix().fixarTema(tema);
			}
		
		});
	}
}