package alterarImagem;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoDeSelecao;
import edugraf.jadix.eventos.nomes.NomeDeEventosDeSeleção;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

public class ApliqueAlteraImagem extends ApliqueSemPichador {
	
	ComponenteDix listaDeImagens = this.obterPaginaDix().criarProcuradorDeComponente("umaListaDeEscolha");
	ComponenteDix imagem = this.obterPaginaDix().criarProcuradorDeComponente("umaImagem");
	
	public void iniciar(){
		listaDeImagens.adicionarTratadorDeEventos(new TratadorDeLista());
	}
	
	private class TratadorDeLista extends TratadorDixAbstrato{

		public void seDito(EventoDeSelecao evento) {
			
		   if(evento.obterNomeDoEvento().equals(NomeDeEventosDeSeleção.SELECIONADO)){
			  
			   mudarImagem(evento.obterTextoDaOpcao());
		   }
		}
		
		private void mudarImagem(String textoDaOpção) {
			imagem.fixarURI("imagens/"+textoDaOpção+".png");
		}
	}
}
