package alturaDoComponenteVariavel;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.fachada.ComponenteDix;

public class ApliqueAlturaDoComponenteVariavel extends ApliqueSemPichador {
	
	ComponenteDix imagem = this.obterPaginaDix().criarProcuradorDeComponente("imagem");
	
	public void iniciar(){
		
		ComponenteDeAlturaVariavel cp = new ComponenteDeAlturaVariavel(imagem);
		ControleDoTamanhoDoComponente controlador = new ControleDoTamanhoDoComponente(cp);
		
		controlador.fixarTempoDeDescanso(0.1);
		int numeroDeVezesQueVaria = 5;
	
		for(int n = 0; n < numeroDeVezesQueVaria; n++)
		{
			controlador.aumentarImagemAte(400);
			controlador.diminuirImagemAte(200);
		}
	}	
}