package apliqueComÍcone;

import static java.lang.Math.round;

import java.awt.Point;

import edugraf.jadix.Aplique;
import edugraf.pichador.TipoPichador;

public class ApliqueComÍcone extends Aplique {
	private static final String ÍCONE_PLANETA_GIF = "ícone/planeta.gif";
	TipoPichador planeta;
	
	public void iniciar(){
		criarPlaneta();
		posicionarPlaneta();
		movimentarPlaneta();
	}

	private void criarPlaneta() {
		planeta = this.criarPichador();
		planeta.fixarÍcone(ÍCONE_PLANETA_GIF).tornarVisível().semRastros();
	}

	private void posicionarPlaneta() {
		Point posiçãoAtual = planeta.obterPosição();
		int xInicial = (int) round(posiçãoAtual.getX()) - 150;
		int yInicial = (int) round(posiçãoAtual.getY()) * -1 -30;
		planeta.andarPara(xInicial,yInicial);
	}

	private void movimentarPlaneta() {
		for (int i = 0; i < 1000; i++) {
			planeta.frente(28).direita(10).descansar(0.5);
		}	
		planeta.tornarInvisível();
	}

}
