package batePapo.jadix.modelo;

import edugraf.jadix.fachada.GerenteDeRede;

public class EnviadorDeMensagem {
	private final GerenteDeRede _gerenteDeRede;
	private final String _apelido;
	
	public String obterApelido() {
		return _apelido;
	}
	public EnviadorDeMensagem(GerenteDeRede gerente, String apelido) {
		_gerenteDeRede = gerente;
		_apelido = apelido;	
	}
	
	public void enviarMensagem(String mensagem) {
		_gerenteDeRede.fixarParametro(this._apelido)
						.fixarParametro(mensagem)
						.dizer("\"batePapo\" texto texto");
	}
}
