package coordenadasDoComponente;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;
import edugraf.jadix.tiposPrimitivos.Coordenadas;

 public class ApliqueCoordenadasDoComponente extends ApliqueSemPichador {
	
	 private ComponenteDix botaoAlterarCoordenadas = this.obterPaginaDix().criarProcuradorDeComponente("botaoAlterarCoordenadas");
	 private ComponenteDix imagem =  this.obterPaginaDix().criarProcuradorDeComponente("imagem");
	 private ComponenteDix valorDaEsquerda =  this.obterPaginaDix().criarProcuradorDeComponente("valorDaEsquerda");
	 private ComponenteDix valorDoTopo =  this.obterPaginaDix().criarProcuradorDeComponente("valorDoTopo");
	 private ComponenteDix painelDaEsquerda = this.obterPaginaDix().criarProcuradorDeComponente("painelDaEsquerda");
	 private ComponenteDix painelDoTopo = this.obterPaginaDix().criarProcuradorDeComponente("painelDoTopo");
	 
	public void iniciar(){ 
		TratadorDoBotaoAlterarCoordenadas tratadorAlterarCoordenadas= new TratadorDoBotaoAlterarCoordenadas();
		botaoAlterarCoordenadas.adicionarTratadorDeEventos( tratadorAlterarCoordenadas);
	}	
	
	class TratadorDoBotaoAlterarCoordenadas extends TratadorDixAbstrato{
		
		public void seDito(EventoSimples evento)
		{	
			if(evento.obterNomeDoEvento().equals(NomeDeEventosSimples.CLICADO)){	
				int novaEsquerda = Integer.valueOf(valorDaEsquerda.obterTexto());
				int novoTopo = Integer.valueOf(valorDoTopo.obterTexto());
				imagem.fixarCoordenadas(new Coordenadas(novaEsquerda,novoTopo));
				painelDaEsquerda.fixarTexto(String.valueOf(novaEsquerda));
				painelDoTopo.fixarTexto(String.valueOf(novoTopo));
			}
		}
	}
}
