package criacaoDinamicaDeComponente;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.PaginaDix;
import edugraf.jadix.fachada.TiposDeComponentesDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

public class ApliqueCriacaoDinamicaDeComponente extends ApliqueSemPichador {
	private PaginaDix pagina = this.obterPaginaDix();

	public void iniciar(){
		ComponenteDix componente = pagina.criarComponente(TiposDeComponentesDix.BOTÃO, "umBotão");
		componente.fixarTexto("Clique em mim");
		componente.fixarTopo(100);
		componente.fixarEsquerda(200);
		
		componente.adicionarTratadorDeEventos(new TratadorDixAbstrato() {
			@Override
			public void seDito(EventoSimples evento) {
				
				if (evento.obterNomeDoEvento().equals(NomeDeEventosSimples.CLICADO)) {
					ComponenteDix componente = pagina.criarComponente(TiposDeComponentesDix.BOTÃO, "botão" + 1000 * Math.random() );
					componente.fixarTexto("Clique em mim");
					componente.fixarTopo((int) (1000 * Math.random()));
					componente.fixarEsquerda((int)(1000 * Math.random()));
					componente.adicionarTratadorDeEventos(this);
				}
			}
		});
	}		
}
