package exemploComEnlaces;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

 public class ApliqueExemploComEnlaces extends ApliqueSemPichador {
	
	 private ComponenteDix enlace1 = this.obterPaginaDix().criarProcuradorDeComponente("enlace1");
	 private ComponenteDix enlace2 = this.obterPaginaDix().criarProcuradorDeComponente("enlace2");
	 private ComponenteDix enlace3 = this.obterPaginaDix().criarProcuradorDeComponente("enlace3");
	 private ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");


	public void iniciar(){ 
		TratadorMouseSobreEnlace tratadorMouseSobreEnlace = new TratadorMouseSobreEnlace();
		enlace1.adicionarTratadorDeEventos(tratadorMouseSobreEnlace);
		enlace2.adicionarTratadorDeEventos(tratadorMouseSobreEnlace);
		enlace3.adicionarTratadorDeEventos(tratadorMouseSobreEnlace);
	}	
	
	class TratadorMouseSobreEnlace extends TratadorDixAbstrato{
		public void seDito(EventoSimples evento){	
			mostrador.fixarTexto(evento.obterComponente().obterURI());
		}
	}
}
