package exemploComTextos;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

 public class ApliqueExemploComTextos extends ApliqueSemPichador {
	
	 private ComponenteDix botaoAlterarTextos = this.obterPaginaDix().criarProcuradorDeComponente("botaoAlterarTextos");
	 private ComponenteDix areaDeTextoEntrada = this.obterPaginaDix().criarProcuradorDeComponente("areaDeTextoInserir");
	 private ComponenteDix areaDeTextoSaida = this.obterPaginaDix().criarProcuradorDeComponente("areaDeTextoObter");
	 private ComponenteDix valorDoUltimoTextoAdicionado = this.obterPaginaDix().criarProcuradorDeComponente("valorDoUltimoTextoAdicionado");
	 
	public void iniciar(){ 
		
		TratadorDoBotaoAlterarTextos tratadorAlterarTextos = new TratadorDoBotaoAlterarTextos();
		botaoAlterarTextos.adicionarTratadorDeEventos(tratadorAlterarTextos);
	}	
	
	class TratadorDoBotaoAlterarTextos extends TratadorDixAbstrato{
		
		public void seDito(EventoSimples evento)
		{	
			if(evento.obterNomeDoEvento().equals(NomeDeEventosSimples.CLICADO)){
				String novoTexto = areaDeTextoEntrada.obterTexto();
				areaDeTextoSaida.adicionarAoTexto(" " + novoTexto);
				valorDoUltimoTextoAdicionado.fixarTexto(novoTexto);			
			}
		}
	}
}
