package giraGira;

import edugraf.jadix.Aplique;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.pichador.TipoPichador;


public class ApliqueGiraGira extends Aplique {

	ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");

	ComponenteDix planeta = this.obterPaginaDix().criarProcuradorDeComponente("planeta");

	TipoPichador pintaPlaneta;

	public void iniciar() {
		pintaPlaneta = this.criarPichador();
		pintaPlaneta.descansar(3.0);
		mostrador.fixarTexto("Planeta partiu...");
		for (int i = 0; i < 35; i++) {
			planeta.fixarAltura(planeta.obterLargura() - 1);
			planeta.fixarLargura(planeta.obterLargura() - 1);
			planeta.fixarEsquerda(planeta.obterEsquerda() + 5);
			planeta.fixarTopo(planeta.obterTopo() + 5);
			pintaPlaneta.descansar(0.05);
		} 
		mostrador.fixarTexto("Planeta chegou...");
	}
}
