package mostraEstimulos;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoDeAreaSensivel;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

public class ApliqueQueTrataEventosDeAreaSensivel extends ApliqueSemPichador {
	 private ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");
	 private ComponenteDix areaSensivel = this.obterPaginaDix().criarProcuradorDeComponente("areaSensivel");
	
	public void iniciar(){ 
		TratadorDeAreaSensivel tratadorDeAreaSensivel = new TratadorDeAreaSensivel();
		areaSensivel.adicionarTratadorDeEventos(tratadorDeAreaSensivel);
	}
	
	class TratadorDeAreaSensivel extends TratadorDixAbstrato{
		public void seDito(EventoDeAreaSensivel evento)
		{	
			String posição = " x: " +  evento.obterX() + "  y: " + evento.obterY();
			mostrador.fixarTexto(evento.obterNomeDoEvento() + posição);
		}
	}
}
