package mostraEstimulos;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoDeGrade;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

public class ApliqueQueTrataEventosDeGrade extends ApliqueSemPichador{
	
		 private ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");
		 private ComponenteDix grade = this.obterPaginaDix().criarProcuradorDeComponente("grade");

		public void iniciar(){ 
			TratadorDeGrade tratadorDoComponenteDeExemplos= new TratadorDeGrade();
			grade.adicionarTratadorDeEventos(tratadorDoComponenteDeExemplos);
		}
		
		class TratadorDeGrade extends TratadorDixAbstrato{
			public void seDito(EventoDeGrade evento)
			{
				String textoMostrado = evento.obterNomeDoComponente() + " " + evento.obterNomeDoEvento() + 
				" linha: " + String.valueOf(evento.obterLinha()) + 
				" coluna: " +  String.valueOf(evento.obterColuna()) + 
				" esquerda: " + String.valueOf(evento.obterEsquerda()) +
				" topo:" + String.valueOf(evento.obterTopo());
				
				mostrador.fixarTexto(textoMostrado);
			}
		}
}
