package profundidadeDoComponente;

import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

 public class ApliqueProfundidadeDoComponente extends ApliqueSemPichador {
	
	 private ComponenteDix imagem1 = this.obterPaginaDix().criarProcuradorDeComponente("imagem1");
	 private ComponenteDix imagem2 = this.obterPaginaDix().criarProcuradorDeComponente("imagem2");
	 private TratadorDixAbstrato tratadorAlternarProfundidades;
	 
	public void iniciar(){
		tratadorAlternarProfundidades = new TratadorBotaoAlternarProfundidades();
		imagem1.adicionarTratadorDeEventos(tratadorAlternarProfundidades);
		imagem2.adicionarTratadorDeEventos(tratadorAlternarProfundidades);
	}	
	
	class TratadorBotaoAlternarProfundidades extends TratadorDixAbstrato{
		public void seDito(EventoSimples evento)
		{	
			if(evento.obterNomeDoEvento().equals(NomeDeEventosSimples.CLICADO) || evento.obterNomeDoEvento().equals(NomeDeEventosSimples.DUPLAMENTE_CLICADO)){
				int ultimaProfundidade = imagem1.obterProfundidade();
				imagem1.fixarProfundidade(imagem2.obterProfundidade());
				imagem2.fixarProfundidade(ultimaProfundidade);
			}
		}
	}
}
