package adicionarTratadorDeEventos;

import static edugraf.jadix.eventos.nomes.NomesDosEventosDeMouse.MOUSE_CLICADO;
import static edugraf.jadix.eventos.nomes.NomesDosEventosDeMouse.MOUSE_SAIU;
import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoDeMouse;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

public class ApliqueAdicionarTratadorDeEventos extends ApliqueSemPichador {
	
	private ComponenteDix mostrador = this.obterPaginaDix().criarProcuradorDeComponente("mostrador");
	
	public void iniciar(){ 
		adicionarTratadorDeEventos(new TratadorDeMouseSaiuDoAplique());
		adicionarTratadorDeEventos(new TratadorDeMousePressionadoDoAplique());
	}

	class TratadorDeMousePressionadoDoAplique extends TratadorDixAbstrato {
		public void seDito(EventoDeMouse evento) {
			if (evento.obterNomeDoEvento().equals(MOUSE_CLICADO))
				mostrador.fixarTexto("[ "+evento.obterNomeDoEvento()+
						" posição: ["+evento.obterTopo()+" "+evento.obterEsquerda()+"]"+
						" modificadores: "+evento.obterModificadores()+" ]" + " Tratador: " + this.getClass());
		}
	}
	
	class TratadorDeMouseSaiuDoAplique extends TratadorDixAbstrato {
		public void seDito(EventoDeMouse evento) {
			if (evento.obterNomeDoEvento().equals(MOUSE_SAIU))
				mostrador.fixarTexto("[ "+evento.obterNomeDoEvento()+
						" posição: ["+evento.obterTopo()+" "+evento.obterEsquerda()+"]"+
						" modificadores: "+evento.obterModificadores()+" ]" + " Tratador: " + this.getClass());
		}
	}
}