package destruindoComponente;

import static edugraf.jadix.eventos.nomes.NomeDeEventosSimples.CLICADO;
import edugraf.jadix.ApliqueSemPichador;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.PaginaDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

public class ApliqueDestruidorDeComponentes extends ApliqueSemPichador {

	private PaginaDix página = obterPaginaDix();

	public void iniciar() {
		final ComponenteDix campoDeTexto = página.criarProcuradorDeComponente("campoDeTexto"), 
		botão = página.criarProcuradorDeComponente("destruidor");
		botão.adicionarTratadorDeEventos(new TratadorDixAbstrato() {

			public void seDito(EventoSimples e) {
				if (e.obterNomeDoEvento() == CLICADO)
					página.removerComponente(campoDeTexto);
			}
		});

	}

}
