package eventosTratadosEmParalelo;

import edugraf.jadix.Aplique;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.ComponenteDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;
import edugraf.jadix.primitivas.Primitiva;

public class EventosSaoTratadosEmParalelo extends Aplique {
	private ComponenteDix botãoQueAtivaDescansar = this.obterPaginaDix().criarProcuradorDeComponente("botãoQueAtivaDescansar");
	private TratadorDoBotaoQueAtivaDescansar tratadorDoBotaoQueAtivaDescansar;

	@Override
	public void iniciar() {
		tratadorDoBotaoQueAtivaDescansar = new TratadorDoBotaoQueAtivaDescansar();
		botãoQueAtivaDescansar.adicionarTratadorDeEventos(tratadorDoBotaoQueAtivaDescansar);
	}

	class TratadorDoBotaoQueAtivaDescansar extends TratadorDixAbstrato {
		public void seDito(EventoSimples evento) {
			if (evento.obterNomeDoEvento().equals(NomeDeEventosSimples.CLICADO)){
				Primitiva.descansar(5);
			}
				
		}
	}
}
