package kalimba;

import edugraf.jadix.Aplique;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.NotificavelPorDix;
import edugraf.jadix.fachada.TratadorDixAbstrato;

public class ControleDaKalimba  {
	private TratadorDixAbstrato tratador;
	private Kalimba kalimba;

	public ControleDaKalimba(Aplique aplique) {
		tratador = new TratadorDaTeclaDeKalimba(); 
		kalimba = new Kalimba(aplique.obterBanda());
	}

	class TratadorDaTeclaDeKalimba extends TratadorDixAbstrato {

		public void seDito(EventoSimples evento) {
			if (evento.obterNomeDoEvento().equals(NomeDeEventosSimples.CLICADO)) {
				kalimba.tocarNota(evento.obterNomeDoComponente());
			}
		}
	}
	
	public NotificavelPorDix obterTratadorDaTeclaDaKalimba() {
		return tratador;
	}
}
