package kalimba;

import java.util.HashMap;
import java.util.Map;

import edugraf.jadix.banda.Banda;

public class Kalimba {

	private Map<String, String> sons = new HashMap<String, String>();
	private Banda banda;

	public Kalimba(Banda umaBanda) {
		banda = umaBanda;
		sons.put("tecla1", "sons/B0.wav");
		sons.put("tecla2", "sons/G0.wav");
		sons.put("tecla3", "sons/E0.wav");
		sons.put("tecla4", "sons/C0.wav");
		sons.put("tecla5", "sons/D0.wav");
		sons.put("tecla6", "sons/F0.wav");
		sons.put("tecla7", "sons/A0.wav");
		sons.put("tecla8", "sons/C1.wav");
	}

	public void tocarNota(String tecla) {
		banda.tocar(sons.get(tecla));
	}
}
