package limparFundoComCorDePreenchimento;

import java.util.Random;

import edugraf.jadix.Aplique;
import edugraf.pichador.TipoPichador;
import edugraf.pichador.desenho.Cor;

public class ApliqueLimparFundoComCorDePreenchimento extends Aplique {

	private static final int ALTURA_ELIPSE = 80,
							 LARGURA_ELIPSE = 200, 
							 TEMPINHO = 2, 
							 DESLOCAMENTO_EM_Y = -40, 
							 DESLOCAMENTO_EM_X = 100, 
							 VINTE_REPETIÇÔES = 20;
	TipoPichador edudu;
	int repetições = VINTE_REPETIÇÔES;
	
	@Override
	public void iniciar() {
		edudu = this.criarPichador();
		edudu.semRastros().andarPara(-DESLOCAMENTO_EM_X, DESLOCAMENTO_EM_Y).comRastros();
		while(true){
			edudu.descansar(TEMPINHO)
				 .fixarCorDePreenchimento(obterCorRandomica())
				 .desenharElipseCheia(LARGURA_ELIPSE, ALTURA_ELIPSE)
				 .descansar(TEMPINHO)
				 .limparFundo();
		}


	}

	private Cor obterCorRandomica() {
		Random random = new Random();
		return new Cor(random.nextInt(255), random.nextInt(255), random.nextInt(255));
	}

}
