package teste;

import static edugraf.jadix.primitivas.Primitiva.gerarAleatório;
import edugraf.pichador.TipoPichador;

public class BolaDeFogoColoridaViajante {
	
	private static final String[] imagensDosFogos = { "fogoVermelho",
		"fogoVerde", "fogoAzul", "fogoRoxo" };
	private TipoPichador pichador;
	
	public BolaDeFogoColoridaViajante(TipoPichador pichador) {
		this.pichador = pichador
			.semRastros()
			.fixarDireção(gerarAleatório(0, 360))
			.fixarÍcone(obterImagemAleatória())
			.tornarVisível();
	}
	
	private String obterImagemAleatória() {
		String imagemAleatória = imagensDosFogos[gerarAleatório(0, imagensDosFogos.length - 1)];
		return "fogos/" + imagemAleatória + ".png";
	}

	public void mover() {
		pichador
			.frente(gerarAleatório(3, 8))
			.direita(gerarAleatório(-5, 15));
		if (gerarAleatório(0, 10) == 0)
			trocarImagem();
	}

	private void trocarImagem() {
		pichador.
			fixarÍcone(obterImagemAleatória());
	}	

}
