package componentes;

import static infraestrutura.AtributosDosComponentesGedix.nome;
import infraestrutura.AtributosDosComponentesGedix;
import infraestrutura.TiposDeComponentesGedix;
import componentes.abstratos.gedix.ComponenteGedix;


public class AreaSensivel extends ComponenteGedix {

	private static final long serialVersionUID = 1L;
	private static int nmeroDeInstncias;

	public AreaSensivel() {
		super();
		nmeroDeInstncias++;
		mapeamentoAtributoValor.put(AtributosDosComponentesGedix.tipoDoComponente,
				TiposDeComponentesGedix.reaSensvel.toString());
		mapeamentoAtributoValor.put(nome, obterTipo().toString() + "_"
				+ nmeroDeInstncias);
	}

	protected String gerarParteEspecficaDoXML() {
		return super.gerarParteBsicaDoXML() + ">";
	}

}
