package componentes;

public class Opcao implements TipoOpcao {

	private static final long serialVersionUID = 1L;
	private static int nmeroDeInstncias;
	private final String nome;

	private String texto;

	public Opcao(String textoDaOpo) {
		nome = "opo_" + nmeroDeInstncias;
		texto = textoDaOpo;

		nmeroDeInstncias++;

	}

	public boolean equals(Object outra) {
		if (outra instanceof TipoOpcao)
			return nome.equals(((TipoOpcao) outra).obterNome());
		else
			return false;
	}

	public void fixarTexto(String novoTexto) {
		texto = novoTexto;
	}

	public int hashCode() {
		return nome.hashCode();
	}

	public String obterNome() {
		return nome;
	}

	public String obterTexto() {
		return texto;
	}

	public String toString() {
		return nome;
	}

}
