package controle.barraDeFerramentas.tratadoresDeRede;

import java.util.List;
import controle.barraDeFerramentas.TipoControladorDaBarra;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeAdicionarNaLista implements TratadorDeEventosDeRede {

	private final TipoControladorDaBarra controlador;

	public TratadorDeAdicionarNaLista(TipoControladorDaBarra controlador) {
		this.controlador = controlador;
	}

	public void seDito(List<Palavra> estmulo) {
		final String nomeDoComponente = estmulo.get(1).comoTexto();
		controlador.adicionarComponenteNaLista(nomeDoComponente);

	}

}
