package controle.barraDeFerramentas.tratadoresDeRede;

import java.util.List;
import controle.barraDeFerramentas.TipoControladorDaBarra;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeLimparLista implements TratadorDeEventosDeRede {

	private final TipoControladorDaBarra controlador;

	public TratadorDeLimparLista(TipoControladorDaBarra controlador) {
		this.controlador = controlador;
	}

	public void seDito(List<Palavra> estmulo) {
		controlador.limparListaDeComponentes();
	}

}
