package controle.barraDeFerramentas.tratadoresDeRede;

import java.util.List;
import controle.barraDeFerramentas.TipoControladorDaBarra;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeRemoverDaLista implements TratadorDeEventosDeRede {

	private final TipoControladorDaBarra controlador;

	public TratadorDeRemoverDaLista(TipoControladorDaBarra controlador) {
		this.controlador = controlador;
	}

	public void seDito(List<Palavra> estmulo) {
		controlador.removerDaListaDeComponentes(estmulo.get(1).comoTexto());
	}

}
