package controle.barraDeFerramentas.tratadoresDix;

import controle.barraDeFerramentas.TipoBarraDeFerramentas;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.TratadorDixAbstrato;


public class TratadorDeMudarDeAba extends TratadorDixAbstrato {

	private final TipoBarraDeFerramentas barra;

	public TratadorDeMudarDeAba(TipoBarraDeFerramentas barra) {
		this.barra = barra;
	}

	public void seDito(EventoSimples e) {
		if (e.obterNomeDoEvento() == NomeDeEventosSimples.CLICADO) {
			if (e.obterComponente().equals(barra.obterBotoDaAbaCriao()))
				barra.mudarParaAbaCriao();
			if (e.obterComponente().equals(barra.obterBotoDaAbaEdio()))
				barra.mudarParaAbaEdio();
		}

	}

}
