package controle.barraDeFerramentas.tratadoresDix;

import controle.barraDeFerramentas.TipoControladorDaBarra;
import edugraf.jadix.eventos.EventoSimples;
import edugraf.jadix.eventos.nomes.NomeDeEventosSimples;
import edugraf.jadix.fachada.TratadorDixAbstrato;


public class TratadorDePedirParaAbrir extends TratadorDixAbstrato {

	private final TipoControladorDaBarra controlador;

	public TratadorDePedirParaAbrir(TipoControladorDaBarra controlador) {
		this.controlador = controlador;
	}

	public void seDito(EventoSimples e) {
		if (e.obterNomeDoEvento() == NomeDeEventosSimples.CLICADO)
			controlador.pedirParaAbrir();
	}
}
