package controle.barraDeFerramentas.tratadoresDix;

import controle.barraDeFerramentas.TipoControladorDaBarra;
import edugraf.jadix.eventos.EventoDeSelecao;
import edugraf.jadix.eventos.nomes.NomeDeEventosDeSeleo;
import edugraf.jadix.fachada.TratadorDixAbstrato;


public class TratadorDePedirSelecao extends TratadorDixAbstrato {

	private final TipoControladorDaBarra controlador;

	public TratadorDePedirSelecao(TipoControladorDaBarra controlador) {
		this.controlador = controlador;
	}

	public void seDito(EventoDeSelecao e) {
		if (e.obterNomeDoEvento() == NomeDeEventosDeSeleo.SELECIONADO)
			controlador.pedirTrocaDeComponenteAEditar(e.obterTextoDaOpcao());
	}
}
