package controle.janelaDeEdicao.tratadoresDeRede;

import java.util.List;
import controle.janelaDeEdicao.TipoJanelaDeEdicao;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeMostrarCampos implements TratadorDeEventosDeRede {

	private final TipoJanelaDeEdicao janela;

	public TratadorDeMostrarCampos(TipoJanelaDeEdicao janelaEdio) {
		janela = janelaEdio;
	}

	public void seDito(List<Palavra> estmulo) {
		final String msg = estmulo.get(0).comoTexto();

		if (msg.equals("mostrarCamposDeGrade"))
			janela.mostrarCamposDeGrade();

		if (msg.equals("mostrarCamposDeURI"))
			janela.mostrarCamposDeComponenteComURI();

		if (msg.equals("mostrarCamposDeTexto"))
			janela.mostrarCamposDeComponenteComTexto();

		if (msg.equals("mostrarCamposDeOpcao"))
			janela.mostrarCamposDeComponenteComOpcao();

	}

}
