package controle.janelaDeEdicao.tratadoresDeRede;

import java.util.List;
import controle.janelaDeEdicao.TipoControladorDaEdicao;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDePreencherCampos implements TratadorDeEventosDeRede {

	private final TipoControladorDaEdicao controlador;

	public TratadorDePreencherCampos(TipoControladorDaEdicao controlador) {
		this.controlador = controlador;
	}

	public void seDito(List<Palavra> estmulo) {
		final String atributo = estmulo.get(1).comoTexto();
		final String valor = estmulo.get(2).comoTexto();

		controlador.preencherCampo(atributo, valor);
	}

}
