package controle.mediador;

public interface TipoMediador {

	public void abrirArquivo(String endereo);

	public void criarComponente(int esquerda, int topo);

	public void criarComponente(int esquerda, int topo, int altura, int largura);

	public void enviarComandoDeAtualizao(String nomeDoAtributo, String valorDoAtributo);

	public void gerarXML(String endereo);

	public void removerComponenteSelecionado();

	public void salvarArquivo(String endereo);

	public void trocarComponenteDeEdicao(String nomeDoComponente);

	public void trocarTipoDeCriao(String nomeDoTipo);

}
