package controle.mediador.tratadoresDeRede;

import java.util.List;
import controle.mediador.TipoMediador;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeGerarXML implements TratadorDeEventosDeRede {

	private final TipoMediador mediador;

	public TratadorDeGerarXML(TipoMediador mediador) {
		this.mediador = mediador;
	}

	public void seDito(List<Palavra> estmulo) {
		final String endereo = estmulo.get(1).comoTexto();
		mediador.gerarXML(endereo);
	}

}
