package controle.novaPagina;

import infraestrutura.AtributosDosComponentesGedix;
import java.util.Map;
import edugraf.jadix.fachada.NotificavelPorDix;


public interface TipoNovaPagina {

	public void atualizarComponenteDix(String nome,
			AtributosDosComponentesGedix atributo, String valor);

	public void criarComponenteDix(Map<AtributosDosComponentesGedix, String> valores);

	public void instalarTratadorNaAreaSensivel(NotificavelPorDix tratador);

	public void limpar();

	public void removerComponenteDix(String nome);

}
