package controle.novaPagina.tratadoresDeRede;

import java.util.List;
import controle.novaPagina.TipoControladorDaNovaPagina;
import edugraf.jadix.interno.rede.fachadaTelis.TratadorDeEventosDeRede;
import edugraf.jadix.tiposPrimitivos.Palavra;


public class TratadorDeAtualizarComponenteDix implements TratadorDeEventosDeRede {

	private final TipoControladorDaNovaPagina controlador;

	public TratadorDeAtualizarComponenteDix(TipoControladorDaNovaPagina controlador) {
		this.controlador = controlador;
	}

	public void seDito(List<Palavra> estmulo) {
		final String nomeDoComponente = estmulo.get(1).comoTexto();
		final String atributo = estmulo.get(2).comoTexto();
		final String valor = estmulo.get(3).comoTexto();
		controlador.atualizarComponenteDix(nomeDoComponente, atributo, valor);
	}

}
