package infraestrutura.comandos;

import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarEsquerda implements TipoComandoDeAtualizacao {

	private final int esquerda;
	private final TipoComponenteGedix componenteAOperar;

	public ComandoDeAtualizarEsquerda(TipoComponenteGedix c, int esquerda) {
		componenteAOperar = c;
		this.esquerda = esquerda;
	}

	public void executar() {
		componenteAOperar.fixarEsquerda(esquerda);
	}

}
