package infraestrutura.comandos;

import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarLargura implements TipoComandoDeAtualizacao {

	private final int largura;
	private final TipoComponenteGedix componenteAOperar;

	public ComandoDeAtualizarLargura(TipoComponenteGedix c, int largura) {
		componenteAOperar = c;
		this.largura = largura;
	}

	public void executar() {
		componenteAOperar.fixarLargura(largura);
	}

}
