package infraestrutura.comandos;

import componentes.grade.TipoGrade;


public class ComandoDeAtualizarLinhas implements TipoComandoDeAtualizacao {

	private final int linhas;
	private final TipoGrade grade;

	public ComandoDeAtualizarLinhas(TipoGrade c, int linhas) {
		this.linhas = linhas;
		grade = c;
	}

	public void executar() {
		grade.fixarLinhas(linhas);

	}

}
