package infraestrutura.comandos;

import componentes.abstratos.gedix.TipoComponenteGedix;


public class ComandoDeAtualizarTopo implements TipoComandoDeAtualizacao {

	private final int topo;
	private final TipoComponenteGedix componenteAOperar;

	public ComandoDeAtualizarTopo(TipoComponenteGedix c, int topo) {
		componenteAOperar = c;
		this.topo = topo;
	}

	public void executar() {
		componenteAOperar.fixarTopo(topo);

	}

}
