package infraestrutura.serializacao;

import infraestrutura.excecoes.ExcecaoDeArquivo;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import pagina.TipoPaginaGedix;


public class SerializadorXML implements TipoSerializadorXML {

	public void salvarArquivoXML(TipoPaginaGedix pgina, String caminhoDoArquivo) {

		FileWriter escritor;

		try {
			escritor = new FileWriter(new File(caminhoDoArquivo));
			escritor.write(pgina.gerarXML());
			escritor.flush();
		} catch (final IOException e) {
			throw new ExcecaoDeArquivo();
		}

	}
}
