package proxies;

import proxies.abstratos.ProxyDeComponenteGedix;
import componentes.imagem.TipoImagem;


public class ProxyDeImagem extends ProxyDeComponenteGedix implements TipoImagem {

	private static final long serialVersionUID = 1L;
	TipoImagem imagem;

	public ProxyDeImagem(TipoImagem imagem) {
		super(imagem);
		this.imagem = imagem;
	}

	public void fixarURI(String novaURI) {
		imagem.fixarURI(novaURI);

	}

	public String obterURI() {
		return imagem.obterURI();
	}

}
