package proxies.comtexto;

import proxies.abstratos.ProxyDeComponenteComTexto;
import componentes.comtexto.etiqueta.TipoEtiqueta;


public class ProxyDeEtiqueta extends ProxyDeComponenteComTexto implements TipoEtiqueta {

	private static final long serialVersionUID = 1L;
	TipoEtiqueta etiqueta;

	public ProxyDeEtiqueta(TipoEtiqueta etiqueta) {
		super(etiqueta);
		this.etiqueta = etiqueta;
	}

	public void fixarURI(String novaURI) {
		etiqueta.fixarURI(novaURI);

	}

	public String obterURI() {
		return etiqueta.obterURI();
	}

}
