package testes.componentes.comopcao;

import static org.junit.Assert.assertEquals;
import infraestrutura.TiposDeComponentesGedix;
import org.junit.Before;
import org.junit.Test;
import testes.componentes.abstratos.TestesDeComponentesComOpcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;
import componentes.comopcao.ListaDeEscolha;


public class TestesDeListaDeEscolha extends TestesDeComponentesComOpcao {

	private ListaDeEscolha listaDeEscolha;

	protected TipoComponenteComOpcao componenteComOpo() {
		return listaDeEscolha;
	}

	@Test
	public void oTipoDeUmaListaDeEscolhaOElementoEnumDeMesmoNome() {
		assertEquals(TiposDeComponentesGedix.listaDeEscolha, listaDeEscolha.obterTipo());
	}

	@Before
	public void prepararTestes() {
		listaDeEscolha = new ListaDeEscolha();
	}

}
