package testes.componentes.comtexto;

import static org.junit.Assert.assertEquals;
import infraestrutura.TiposDeComponentesGedix;
import org.junit.Before;
import org.junit.Test;
import testes.componentes.abstratos.TestesDeComponenteComTexto;
import componentes.abstratos.texto.TipoComponenteComTexto;
import componentes.comtexto.AreaDeTexto;


public class TestesDeAreaDeTexto extends TestesDeComponenteComTexto {

	private TipoComponenteComTexto reaDeTexto;

	protected TipoComponenteComTexto componenteComTexto() {
		return reaDeTexto;
	}

	@Test
	public void oTipoDeUmareaDeTextoOElementoEnumreaDeTexto() {
		assertEquals(TiposDeComponentesGedix.reaDeTexto, reaDeTexto.obterTipo());
	}

	@Before
	public void prepararTestes() {
		reaDeTexto = new AreaDeTexto();
	}

}
