package testes.componentes.comtexto;

import static org.junit.Assert.assertEquals;
import infraestrutura.TiposDeComponentesGedix;
import org.junit.Before;
import org.junit.Test;
import testes.componentes.abstratos.TestesDeComponenteComTexto;
import componentes.abstratos.texto.TipoComponenteComTexto;
import componentes.comtexto.Botao;


public class TestesDeBotao extends TestesDeComponenteComTexto {

	private TipoComponenteComTexto boto;

	protected TipoComponenteComTexto componenteComTexto() {
		return boto;
	}

	@Test
	public void oTipoDeUmBotoOElementoEnumBoto() {
		assertEquals(TiposDeComponentesGedix.boto, boto.obterTipo());
	}

	@Before
	public void prepararTestes() {
		boto = new Botao();
	}

}
