package testes.componentes.comtexto;

import static org.junit.Assert.assertEquals;
import infraestrutura.TiposDeComponentesGedix;
import org.junit.Before;
import org.junit.Test;
import testes.componentes.abstratos.TestesDeComponenteComTexto;
import componentes.abstratos.texto.TipoComponenteComTexto;
import componentes.comtexto.CampoDeTexto;


public class TestesDeCampoDeTexto extends TestesDeComponenteComTexto {

	private TipoComponenteComTexto campoDeTexto;

	protected TipoComponenteComTexto componenteComTexto() {
		return campoDeTexto;
	}

	@Test
	public void oTipoDeUmCampoDeTextoOElementoEnumCampoDeTexto() {
		assertEquals(TiposDeComponentesGedix.campoDeTexto, campoDeTexto.obterTipo());
	}

	@Before
	public void prepararTestes() {
		campoDeTexto = new CampoDeTexto();
	}

}
