package testes.proxies.comopcao;

import org.junit.Before;
import proxies.comopcao.ProxyDeListaDeEscolha;
import testes.proxies.abstratos.TestesDeProxyDeComponenteComOpcao;
import componentes.abstratos.opcao.TipoComponenteComOpcao;
import componentes.comopcao.ListaDeEscolha;


public class TestesDeProxyDeListaDeEscolha extends TestesDeProxyDeComponenteComOpcao {

	private ListaDeEscolha listaDeEscolha;

	protected TipoComponenteComOpcao componenteComOpo() {
		return listaDeEscolha;
	}

	@Before
	public void prepararTestes() {
		listaDeEscolha = new ListaDeEscolha();
		proxyComOpo = new ProxyDeListaDeEscolha(listaDeEscolha);
		proxy = proxyComOpo;
	}

}
