package testes.proxies.comtexto;

import org.junit.Before;
import proxies.comtexto.ProxyDeBotao;
import testes.proxies.abstratos.TestesDeProxyDeComponenteComTexto;
import componentes.abstratos.texto.TipoComponenteComTexto;
import componentes.comtexto.Botao;


public class TestesDeProxyDeBotao extends TestesDeProxyDeComponenteComTexto {

	private Botao boto;

	protected TipoComponenteComTexto componenteComTexto() {
		return boto;
	}

	@Before
	public void prepararTestes() {
		boto = new Botao();
		proxyDeTexto = new ProxyDeBotao(boto);
		proxy = proxyDeTexto;
	}

}
