package testes.proxies.comtexto;

import org.junit.Before;
import proxies.comtexto.ProxyDeCampoDeTexto;
import testes.proxies.abstratos.TestesDeProxyDeComponenteComTexto;
import componentes.abstratos.texto.TipoComponenteComTexto;
import componentes.comtexto.CampoDeTexto;


public class TestesDeProxyDeCampoDeTexto extends TestesDeProxyDeComponenteComTexto {

	private CampoDeTexto campoDeTexto;

	protected TipoComponenteComTexto componenteComTexto() {
		return campoDeTexto;
	}

	@Before
	public void prepararTestes() {
		campoDeTexto = new CampoDeTexto();
		proxyDeTexto = new ProxyDeCampoDeTexto(campoDeTexto);
		proxy = proxyDeTexto;
	}

}
